Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.alepc.encoding
Interface PCXMLSerializer

public interface PCXMLSerializer

Provides a facility for exporting ALEPC API complex types as XML. NOTE: The implementations for this interface are guaranteed to be thread-safe.

Method Summary
`java.lang.String` | `serialize(EPCCacheReport cacheReport, boolean addReadabilityWhitespace)` Serializes the specified `EPCCacheReport` as XML, and returns the result as a string.
`void` | `serialize(EPCCacheReport cacheReport, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `EPCCacheReport` as XML, writing the result to the specified `Writer`.
`java.lang.String` | `serialize(EPCCacheSpec cacheSpec, boolean addReadabilityWhitespace)` Serializes the specified `EPCCacheSpec` as XML, and returns the result as a string.
`java.lang.String` | `serialize(EPCCacheSpecInfo pcSpecInfo, boolean addReadabilityWhitespace)` Serializes the specified `EPCCacheSpecInfo` as XML, and returns the result as a string.
`void` | `serialize(EPCCacheSpecInfo pcSpecInfo, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `EPCCacheSpecInfo` as XML, writing the result to the specified `Writer`.
`void` | `serialize(EPCCacheSpec cacheSpec, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `EPCCacheSpec` as XML, writing the result to the specified `Writer`.
`java.lang.String` | `serialize(EPCPatterns pats, boolean addReadabilityWhitespace)` Serializes the specified `EPCPatterns` as XML, and returns the result as a string.
`void` | `serialize(EPCPatterns pats, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `EPCPatterns` as XML, writing the result to the specified `Writer`.
`java.lang.String` | `serialize(PCSpec pcSpec, boolean addReadabilityWhitespace)` Serializes the specified `PCSpec` as XML, and returns the result as a string.
`java.lang.String` | `serialize(PCSpecInfo pcSpecInfo, boolean addReadabilityWhitespace)` Serializes the specified `PCSpecInfo` as XML, and returns the result as a string.
`void` | `serialize(PCSpecInfo pcSpecInfo, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `PCSpecInfo` as XML, writing the result to the specified `Writer`.
`void` | `serialize(PCSpec pcSpec, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `PCSpec` as XML, writing the result to the specified `Writer`.
`java.lang.String` | `serialize(PCSubscriptionControls pcSubscriptionControls, boolean addReadabilityWhitespace)` Serializes the specified `PCSubscriptionControls` as XML, and returns the result as a string.
`void` | `serialize(PCSubscriptionControls pcSubscriptionControls, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `PCSubscriptionControls` as XML, writing the result to the specified `Writer`.
`java.lang.String` | `serialize(PCSubscriptionInfo pcSubscriptionInfo, boolean addReadabilityWhitespace)` Serializes the specified `PCSubscriptionInfo` as XML, and returns the result as a string.
`void` | `serialize(PCSubscriptionInfo pcSubscriptionInfo, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `PCSubscriptionInfo` as XML, writing the result to the specified `Writer`.
`java.lang.String` | `serialize(PCWriteReport writeReport, boolean addReadabilityWhitespace)` Serializes the specified `PCWriteReport` as XML, and returns the result as a string.
`void` | `serialize(PCWriteReport writeReport, java.io.Writer writer, boolean addReadabilityWhitespace)` Serializes the specified `PCWriteReport` as XML, writing the result to the specified `Writer`.

Method Detail

### serialize

    public java.lang.String serialize(PCSpec pcSpec,
                                      boolean addReadabilityWhitespace)
                               throws PCXMLSerializerException

  Serializes the specified `PCSpec` as XML, and returns the result as a string.

  Parameters:
    `pcSpec` - The `PCSpec` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `PCSpec`.
  Throws:
    `PCXMLSerializerException` - if an error occurred while serializing the specified `PCSpec`.

### serialize

    public void serialize(PCSpec pcSpec,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          PCXMLSerializerException

  Serializes the specified `PCSpec` as XML, writing the result to the specified `Writer`.

  Parameters:
    `pcSpec` - The `PCSpec` object to serialize.
    `writer` - The writer that will receive the serialized `PCSpec`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Throws:
    `java.io.IOException` - An I/O error occurred while serializing the specified PCSpec object.
    `PCXMLSerializerException` - An error occurred while serializing the specified PCSpec object.

### serialize

    public java.lang.String serialize(PCSpecInfo pcSpecInfo,
                                      boolean addReadabilityWhitespace)
                               throws PCXMLSerializerException

  Serializes the specified `PCSpecInfo` as XML, and returns the result as a string.

  Parameters:
    `pcSpecInfo` - The `PCSpecInfo` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `PCSpecInfo`.
  Throws:
    `PCXMLSerializerException` - if an error occurred while serializing the specified `PCSpecInfo`.

### serialize

    public void serialize(PCSpecInfo pcSpecInfo,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          PCXMLSerializerException

  Serializes the specified `PCSpecInfo` as XML, writing the result to the specified `Writer`.

  Parameters:
    `pcSpecInfo` - The `PCSpecInfo` object to serialize.
    `writer` - The writer that will receive the serialized `PCSpecInfo`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Throws:
    `java.io.IOException` - An I/O error occurred while serializing the specified PCSpecInfo object.
    `PCXMLSerializerException` - An error occurred while serializing the specified PCSpecInfo object.

### serialize

    public java.lang.String serialize(EPCCacheSpec cacheSpec,
                                      boolean addReadabilityWhitespace)
                               throws PCXMLSerializerException

  Serializes the specified `EPCCacheSpec` as XML, and returns the result as a string.

  Parameters:
    `cacheSpec` - The `EPCCacheSpec` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `EPCCacheSpec`.
  Throws:
    `PCXMLSerializerException` - if an error occurred while serializing the specified `EPCCacheSpec`.

### serialize

    public void serialize(EPCCacheSpec cacheSpec,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          PCXMLSerializerException

  Serializes the specified `EPCCacheSpec` as XML, writing the result to the specified `Writer`.

  Parameters:
    `cacheSpec` - The `EPCCacheSpec` object to serialize.
    `writer` - The writer that will receive the serialized `EPCCacheSpec`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Throws:
    `java.io.IOException` - An I/O error occurred while serializing the specified EPCCacheSpec object.
    `PCXMLSerializerException` - An error occurred while serializing the specified EPCCacheSpec object.

### serialize

    public java.lang.String serialize(EPCCacheSpecInfo pcSpecInfo,
                                      boolean addReadabilityWhitespace)
                               throws PCXMLSerializerException

  Serializes the specified `EPCCacheSpecInfo` as XML, and returns the result as a string.

  Parameters:
    `pcSpecInfo` - The `EPCCacheSpecInfo` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `EPCCacheSpecInfo`.
  Throws:
    `PCXMLSerializerException` - if an error occurred while serializing the specified `EPCCacheSpecInfo`.

### serialize

    public void serialize(EPCCacheSpecInfo pcSpecInfo,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          PCXMLSerializerException

  Serializes the specified `EPCCacheSpecInfo` as XML, writing the result to the specified `Writer`.

  Parameters:
    `pcSpecInfo` - The `EPCCacheSpecInfo` object to serialize.
    `writer` - The writer that will receive the serialized `EPCCacheSpecInfo`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Throws:
    `java.io.IOException` - An I/O error occurred while serializing the specified EPCCacheSpecInfo object.
    `PCXMLSerializerException` - An error occurred while serializing the specified EPCCacheSpecInfo object.

### serialize

    public java.lang.String serialize(PCWriteReport writeReport,
                                      boolean addReadabilityWhitespace)
                               throws PCXMLSerializerException

  Serializes the specified `PCWriteReport` as XML, and returns the result as a string.

  Parameters:
    `writeReport` - The `PCWriteReport` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `PCWriteReport`.
  Throws:
    `PCXMLSerializerException` - if an error occurred while serializing the specified `PCWriteReport`.

### serialize

    public void serialize(PCWriteReport writeReport,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          PCXMLSerializerException

  Serializes the specified `PCWriteReport` as XML, writing the result to the specified `Writer`.

  Parameters:
    `writeReport` - The `PCWriteReport` object to serialize.
    `writer` - The writer that will receive the serialized `PCWriteReport`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Throws:
    `java.io.IOException` - An I/O error occurred while serializing the specified PCWriteReport object.
    `PCXMLSerializerException` - An error occurred while serializing the specified PCWriteReport object.

### serialize

    public java.lang.String serialize(EPCCacheReport cacheReport,
                                      boolean addReadabilityWhitespace)
                               throws PCXMLSerializerException

  Serializes the specified `EPCCacheReport` as XML, and returns the result as a string.

  Parameters:
    `cacheReport` - The `EPCCacheReport` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `EPCCacheReport`.
  Throws:
    `PCXMLSerializerException` - if an error occurred while serializing the specified `EPCCacheReport`.

### serialize

    public void serialize(EPCCacheReport cacheReport,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          PCXMLSerializerException

  Serializes the specified `EPCCacheReport` as XML, writing the result to the specified `Writer`.

  Parameters:
    `cacheReport` - The `EPCCacheReport` object to serialize.
    `writer` - The writer that will receive the serialized `EPCCacheReport`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Throws:
    `java.io.IOException` - An I/O error occurred while serializing the specified EPCCacheReport object.
    `PCXMLSerializerException` - An error occurred while serializing the specified EPCCacheReport object.

### serialize

    public java.lang.String serialize(EPCPatterns pats,
                                      boolean addReadabilityWhitespace)
                               throws PCXMLSerializerException

  Serializes the specified `EPCPatterns` as XML, and returns the result as a string.

  Parameters:
    `pats` - The `EPCPatterns` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `EPCPatterns`.
  Throws:
    `PCXMLSerializerException` - if an error occurred while serializing the specified `EPCPatterns`.

### serialize

    public void serialize(EPCPatterns pats,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          PCXMLSerializerException

  Serializes the specified `EPCPatterns` as XML, writing the result to the specified `Writer`.

  Parameters:
    `pats` - The `EPCPatterns` object to serialize.
    `writer` - The writer that will receive the serialized `EPCPatterns`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Throws:
    `java.io.IOException` - An I/O error occurred while serializing the specified EPCPatterns object.
    `PCXMLSerializerException` - An error occurred while serializing the specified EPCPatterns object.

### serialize

    public java.lang.String serialize(PCSubscriptionControls pcSubscriptionControls,
                                      boolean addReadabilityWhitespace)
                               throws PCXMLSerializerException

  Serializes the specified `PCSubscriptionControls` as XML, and returns the result as a string.

  Parameters:
    `pcSubscriptionControls` - The `PCSubscriptionControls` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `PCSubscriptionControls` object.
  Throws:
    `PCXMLSerializerException` - if an error occurred while serializing the specified `PCSubscriptionControls`.

### serialize

    public void serialize(PCSubscriptionControls pcSubscriptionControls,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          PCXMLSerializerException

  Serializes the specified `PCSubscriptionControls` as XML, writing the result to the specified `Writer`.

  Parameters:
    `pcSubscriptionControls` - The `PCSubscriptionControls` object to serialize.
    `writer` - The writer that will receive the serialized `PCSubscriptionControls`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `PCSubscriptionControls` object.
  Throws:
    `PCXMLSerializerException` - if an error occurred while serializing the specified `PCSubscriptionControls`.
    `java.io.IOException`

### serialize

    public java.lang.String serialize(PCSubscriptionInfo pcSubscriptionInfo,
                                      boolean addReadabilityWhitespace)
                               throws PCXMLSerializerException

  Serializes the specified `PCSubscriptionInfo` as XML, and returns the result as a string.

  Parameters:
    `pcSubscriptionInfo` - The `PCSubscriptionInfo` object to serialize.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `PCSubscriptionInfo` object.
  Throws:
    `PCXMLSerializerException` - if an error occurred while serializing the specified `PCSubscriptionInfo`.

### serialize

    public void serialize(PCSubscriptionInfo pcSubscriptionInfo,
                          java.io.Writer writer,
                          boolean addReadabilityWhitespace)
                   throws java.io.IOException,
                          PCXMLSerializerException

  Serializes the specified `PCSubscriptionInfo` as XML, writing the result to the specified `Writer`.

  Parameters:
    `pcSubscriptionInfo` - The `PCSubscriptionInfo` object to serialize.
    `writer` - The writer that will receive the serialized `PCSubscriptionInfo`.
    `addReadabilityWhitespace` - If true, additional whitespace is added to improve the human readability of the XML. Otherwise, no additional whitespace is added.
  Returns:
    The XML string for the specified `PCSubscriptionInfo` object.
  Throws:
    `PCXMLSerializerException` - if an error occurred while serializing the specified `PCSubscriptionInfo`.
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD